---------------------
PatchSet 3138 
Date: 2005/04/25 10:34:13
Author: cladisch
Branch: HEAD
Tag: (none) 
Log:
Summary: usb-audio - remove superfluous parameter

This patch removes the superfluous driver parameter from the
disconnect functions.

Members: 
	usb/usbaudio.c:1.121->1.122 
	usb/usbaudio.h:1.38->1.39 
	usb/usbmidi.c:1.46->1.47 
	usb/usx2y/usbusx2y.c:1.10->1.11 

Index: /sound/usb/usbaudio.c
diff -u /sound/usb/usbaudio.c.old /sound/usb/usbaudio.c
--- /sound/usb/usbaudio.c.old	Fri Apr 22 07:33:01 2005
+++ /sound/usb/usbaudio.c	Mon Apr 25 02:34:13 2005
@@ -2588,7 +2588,7 @@
  * disconnect streams
  * called from snd_usb_audio_disconnect()
  */
-static void snd_usb_stream_disconnect(struct list_head *head, struct usb_driver *driver)
+static void snd_usb_stream_disconnect(struct list_head *head)
 {
 	int idx;
 	snd_usb_stream_t *as;
@@ -3282,11 +3282,11 @@
 		snd_card_disconnect(card);
 		/* release the pcm resources */
 		list_for_each(p, &chip->pcm_list) {
-			snd_usb_stream_disconnect(p, &usb_audio_driver);
+			snd_usb_stream_disconnect(p);
 		}
 		/* release the midi resources */
 		list_for_each(p, &chip->midi_list) {
-			snd_usbmidi_disconnect(p, &usb_audio_driver);
+			snd_usbmidi_disconnect(p);
 		}
 		usb_chip[chip->index] = NULL;
 		up(&register_mutex);
Index: /sound/usb/usbaudio.h
diff -u /sound/usb/usbaudio.h.old /sound/usb/usbaudio.h
--- /sound/usb/usbaudio.h.old	Mon Feb 21 00:41:06 2005
+++ /sound/usb/usbaudio.h	Mon Apr 25 02:34:13 2005
@@ -223,7 +223,7 @@
 int snd_usb_create_midi_interface(snd_usb_audio_t *chip, struct usb_interface *iface, const snd_usb_audio_quirk_t *quirk);
 void snd_usbmidi_input_stop(struct list_head* p);
 void snd_usbmidi_input_start(struct list_head* p);
-void snd_usbmidi_disconnect(struct list_head *p, struct usb_driver *driver);
+void snd_usbmidi_disconnect(struct list_head *p);
 
 /*
  * retrieve usb_interface descriptor from the host interface
Index: /sound/usb/usbmidi.c
diff -u /sound/usb/usbmidi.c.old /sound/usb/usbmidi.c
--- /sound/usb/usbmidi.c.old	Wed Mar 30 07:22:01 2005
+++ /sound/usb/usbmidi.c	Mon Apr 25 02:34:13 2005
@@ -912,7 +912,7 @@
 /*
  * Unlinks all URBs (must be done before the usb_device is deleted).
  */
-void snd_usbmidi_disconnect(struct list_head* p, struct usb_driver *driver)
+void snd_usbmidi_disconnect(struct list_head* p)
 {
 	snd_usb_midi_t* umidi;
 	int i;
Index: /sound/usb/usx2y/usbusx2y.c
diff -u /sound/usb/usx2y/usbusx2y.c.old /sound/usb/usx2y/usbusx2y.c
--- /sound/usb/usx2y/usbusx2y.c.old	Wed Apr 20 02:12:35 2005
+++ /sound/usb/usx2y/usbusx2y.c	Mon Apr 25 02:34:14 2005
@@ -442,7 +442,7 @@
 		snd_card_disconnect((snd_card_t*)ptr);
 		/* release the midi resources */
 		list_for_each(p, &usX2Y->chip.midi_list) {
-			snd_usbmidi_disconnect(p, &snd_usX2Y_usb_driver);
+			snd_usbmidi_disconnect(p);
 		}
 		if (usX2Y->us428ctls_sharedmem) 
 			wake_up(&usX2Y->us428ctls_wait_queue_head);
